Bug 171386 - CVE-2005-3275 NAT DoS
CVE-2005-3275 NAT DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
public=20050722,impact=important,sour...
: Security
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-10-21 08:54 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0140
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 11:01:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-21 08:54:07 EDT
CVE-2005-3275 states:
        The NAT code (1) ip_nat_proto_tcp.c and (2) ip_nat_proto_udp.c
        in Linux kernel 2.6 before 2.6.13 and 2.4 before 2.4.32-rc1
        incorrectly declares a variable to be static, which allows
        remote attackers to cause a denial of service (memory
        corruption) by causing two packets for the same protocol to be
        NATed at the same time, which leads to memory corruption.

http://linux.bkbits.net:8080/linux-2.4/cset@42ed94a6GH4Evdcy1opShq3w0GHUWQ

This issue was already fixed in EL4 in linux-2.6.12-network.patch but not in EL3
which looks vulnerable to this issue.
Comment 1 Ernie Petrides 2005-10-21 18:28:57 EDT
RHEL3 looks vulnerable to me, too.
Comment 2 Ernie Petrides 2005-10-27 22:32:41 EDT
Reassigning to Don at Linda's request.
Comment 3 Ernie Petrides 2005-11-02 20:54:35 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.8.EL).
Comment 5 Ernie Petrides 2006-01-11 18:34:06 EST
A fix for this problem has also been committed to the RHEL3 E7
patch pool this evening (in kernel version 2.4.21-37.0.1.EL).
Comment 7 Red Hat Bugzilla 2006-01-19 11:01:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html

Note You need to log in before you can comment on or make changes to this bug.